# Poco

# template < class DT >

# class ArchiveByTimestampStrategy

Library: Foundation
Package: Logging
Header: Poco/ArchiveStrategy.h

## Description

A timestamp (YYYYMMDDhhmmssiii) is appended to archived log files.

## Inheritance

Direct Base Classes: ArchiveStrategy

All Base Classes: ArchiveStrategy

## Member Summary

Member Functions: archive

Inherited Functions: archive, compress, exists, moveFile

## Constructors

### ArchiveByTimestampStrategy

ArchiveByTimestampStrategy();

## Destructor

### ~ArchiveByTimestampStrategy

~ArchiveByTimestampStrategy();

## Member Functions

### archive

LogFile * archive(
LogFile * pFile
);

Archives the file by appending the current timestamp to the file name. If the new file name exists, additionally a monotonic increasing number is appended to the log file name.

See also: Poco::ArchiveStrategy::archive()